Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.DropAction

    java.lang.Object
      java.lang.Enum<Qt.DropAction>
          com.trolltech.qt.core.Qt.DropAction

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.DropAction>

Enclosing interface:
  Qt

    public static enum Qt.DropAction

extends java.lang.Enum<Qt.DropAction>
implements QtEnumerator

Press link for info on Qt.DropAction

Enum Constant Summary
`ActionMask` Internal.
`CopyAction` Copy the data to the target.
`IgnoreAction` Ignore the action (do nothing with the data).
`LinkAction` Create a link from the source to the target.
`MoveAction` Move the data from the source to the target.
`TargetMoveAction` Internal.

Method Summary
`static Qt.DropActions` | `createQFlags(Qt.DropAction... values)`
`static Qt.DropAction` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.DropAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.DropAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CopyAction

    public static final Qt.DropAction CopyAction

  Copy the data to the target.

### MoveAction

    public static final Qt.DropAction MoveAction

  Move the data from the source to the target.

### LinkAction

    public static final Qt.DropAction LinkAction

  Create a link from the source to the target.

### ActionMask

    public static final Qt.DropAction ActionMask

  Internal.

### TargetMoveAction

    public static final Qt.DropAction TargetMoveAction

  Internal.

### IgnoreAction

    public static final Qt.DropAction IgnoreAction

  Ignore the action (do nothing with the data).

Method Detail

### values

    public static final Qt.DropAction[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.DropAction c : Qt.DropAction.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.DropAction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.DropActions createQFlags(Qt.DropAction... values)

### resolve

    public static Qt.DropAction resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD